<div class="container">
  <h2>Edit <%= resource_name.to_s.humanize %></h2>

  <%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { multipart: true }) do |f| %>
    <%= render "devise/shared/error_messages", resource: resource %>

    <div class="field">
      <%= f.label :first_name %><br />
      <%= f.text_field :first_name %>
    </div><br />

    <div class="field">
      <%= f.label :last_name %><br />
      <%= f.text_field :last_name %>
    </div><br />

    <div class="field">
      <%= f.file_field :avatar %>
    </div><br />

    <div class="field">
      <%= f.label :phone_number %><br />
      <%= f.text_field :phone_number, autofocus: true, autocomplete: "phone_number" %>
    </div><br />

    <div class="field">
      <%= f.label :email %><br />
      <%= f.email_field :email, autofocus: true, autocomplete: "email", :disabled=>true %>
    </div><br />

    <% if devise_mapping.confirmable? && resource.pending_reconfirmation? %>
      <div>Currently waiting confirmation for: <%= resource.unconfirmed_email %></div>
    <% end %><br />

    <div class="field">
      <%= f.label :password %> <i>(leave blank if you don't want to change it)</i><br />
      <%= f.password_field :password, autocomplete: "new-password" %>
      <% if @minimum_password_length %>
        <br />
        <em>8 characters minimum</em>
    <% end %>
    </div><br />

    <div class="field">
      <%= f.label :password_confirmation %><br />
      <%= f.password_field :password_confirmation, autocomplete: "new-password" %>
    </div><br />

    <div class="field">
      <%= f.label :current_password %> <i>(we need your current password to confirm your changes)</i><br />
      <%= f.password_field :current_password, autocomplete: "current-password" %>
    </div><br />

    <div class="actions">
      <%= f.submit "Update" %>
    </div>
  <% end %><br />

  <h3>Cancel my account</h3>

  <p>Unhappy? <%= button_to "Cancel my account", registration_path(resource_name), data: { confirm: "Are you sure?" }, method: :delete %></p>

  <%= link_to "Back", :back %>
</div>
